Subject: Re: [PATCH 0/9] git archive: use gzip again by default, document output stabilty

From: Junio C Hamano <[email-masked]>
Date: Thu, 02 Feb 2023 08:25:52 -0800

Ævar Arnfjörð Bjarmason  <[email-masked]> writes:

> As the disruption of changing the default isn't worth it, let's use
> gzip(1) again by default, and only fall back on the new "git archive
> gzip" if it isn't available.

It perhaps is OK, and lets us answer "ugh, the compressed output of
'git archive' is unstable again" with "we didn't change anything,
perhaps you changed your gzip(1)?" when they fix bugs or improve
compression or whatever.  Of course that is not an overall win for
the end users, but in the short term until gzip gets such a change,
we would presumably get the "same" output as before.